<?php
include_once('../global.php');

class FinanceTarrifsPage extends Page
{
  var $FullTitle = 'Přehled tarifů';
  var $ShortTitle = 'Tarify';

  function TariffTable()
  {
    $Finance = &$this->System->Modules['Finance'];
	
    $Output = 'Poplatek za společný internet: <strong>'.$Finance->Internet.' Kč</strong><br />';
    $Output .= 'Rychlost společné linky: <strong>'.$Finance->RealMaxSpeed.' kbit/s</strong><br />';
    $Output .= 'Rezerva (nevyužitá kapacita pro zlepšení odezvy sítě): <strong>'.$Finance->SpeedReserve.' kbit/s</strong><br />';
    $Output .= 'Maximální dostupná kapacita pro použití: <strong>'.$Finance->MaxSpeed.' kbit/s</strong><br />';
    $Output .= '<br />';

    $Output .= '<table width="50%" class="WideTable" style="font-size: small;">';
    $Output .= '<tr><th>Název tarifu</th><th>Min. rychlost [kbit/s]</th><th>Max. rychlost [kbit/s]</th><th>Agregační poměr</th><th>Počet podílníků</th><th>Cena [Kč]</th><th>Součet ceny [Kč]</th></tr>';
    $TotalPrice = 0;
    foreach($Finance->Tariffs as $Index => $Tariff)
    {
      $Tariff['Aggregation'] = '1:'.round($Tariff['SpeedMax'] / $Tariff['SpeedMin']);
      $Output .= '<tr><td style="color: blue;">'.$Tariff['Name'].'</td><td align="center">'.round($Tariff['SpeedMin'] / 1024).'</td><td align="center" style="color: blue;">'.round($Tariff['SpeedMax'] / 1024).'</td><td align="center">'.$Tariff['Aggregation'].'</td><td align="center">'.$Tariff['MemberCount'].'</td><td align="center" style="color: blue;">'.$Tariff['Price'].'</td><td align="center">'.$Tariff['MemberCount'] * $Tariff['Price'].'</td></tr>';
      $TotalPrice = $TotalPrice + $Tariff['Price'] * $Tariff['MemberCount'];
    }
    $Output .= '<tr><td>Součty</td><td colspan="3">&nbsp;</td><td align="center">'.$Finance->InternetUsers.'</td><td>&nbsp;</td><td align="center">'.$TotalPrice.'</td></tr>';
    $Output .= '</table>';
    return($Output);
  }

  function Show()
  {
	$Finance = &$this->System->Modules['Finance'];
    $Output = 'Počet členů s internetovým připojením: <strong>'.$Finance->InternetUsers.'</strong><br /><br />';
    $Output .= '<table><tr><td valign="top">';

    $Finance->LoadMonthParameters(0);
    $Output .= '<strong>Stav pro aktuální měsíc:</strong><br />';
    $Output .= $this->TariffTable();

    $Output .= '<br /></td></tr><tr><td valign="top">';

    $Finance->LoadMonthParameters(1);
    $Output .= '<strong>Stav pro další měsíc:</strong><br />';
    $Output .= $this->TariffTable();

    $Output .= '</td></tr></table>';

    $Output .= '<br /><strong>Doplňující informace:</strong><br />';
    $Output .= 'Minimální rychlostí se rozumí garantovaná rychlost, tedy zaručený podíl z celkové kapacity linky.<br />
    Maximální rychlost je teoretická nejvyšší dostupná rychlost.<br />
    Skutečná rychlost může mírně kolísat kolem těchto hodnot, jelikož řízení toku není dokonalé.<br />
    Agregační pomněr je poměr mezi minimální garantovanou rychlostí a maximální dosažitelnou rychlostí. Ukazuje, jak moc je linka sdílena a jak hodně může rychlost kolísat. Při posuzování kvality linky je toto také důležitý ukazatel.<br />
    Cenové jednotky vystihují jakým podílem se poplatek za tarif podílí na celkové placené sumě.<br />
    Počet podílníků znamená počet uživatelů platících daný tarif.<br />
    Údaj celkem cenových jednotek je součin počtu podílníků a cenových jednotek. Vystihuje podíl všech uživatelů v daném tarifu na celkové placené sumě.<br />
    Cena udává rozpočtenou celkovou cenu na jednotlivé tarify podle cenových jednotek.<br />
    Sloupec vybráno dává informaci, kolik se v kterém tarifu vybralo peněz na placení společné linky.<br /><br />';
    $Output .= 'Tabulka Stav pro aktuální měsíc se aktualizuje první den v měsíci při odečtení peněz z účtů dle tabulky na příští měsíc.<br />';

    $Output .= '<br />Změnu tarifu na další měsíc oznamujte prozatím na email robie@centrum.cz<br />';
    $Output .= '<a href="http://centrala.zdechov.net/forum/viewtopic.php?t=50">Diskuse</a><br />';
    return($Output);
  }
}

$System->AddModule(new FinanceTarrifsPage());
$System->Modules['FinanceTarrifsPage']->GetOutput();

?>
