ALTER TABLE `Member` ADD `Hire` FLOAT NOT NULL DEFAULT '0';

RENAME TABLE `finance_tariffs`  TO `FinanceTariff` ;

ALTER TABLE `FinanceTariff` CHANGE `id` `Id` INT( 11 ) NOT NULL DEFAULT '0',
CHANGE `period` `Period` INT( 11 ) NOT NULL DEFAULT '0',
CHANGE `name` `Name` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL ,
CHANGE `speed_factor` `SpeedFactor` FLOAT NOT NULL DEFAULT '0',
CHANGE `price_units` `PriceUnits` FLOAT NOT NULL DEFAULT '0',
CHANGE `group_id` `Group` INT( 11 ) NOT NULL DEFAULT '0',
CHANGE `min_speed` `SpeedDownloadMin` INT( 11 ) NOT NULL DEFAULT '0',
CHANGE `max_speed` `SpeedDownloadMax` INT( 11 ) NOT NULL DEFAULT '0',
CHANGE `price` `Price` INT( 11 ) NOT NULL DEFAULT '0';

ALTER TABLE `FinanceTariff` ADD `SpeedUploadMin` INT NOT NULL AFTER `SpeedDownloadMax` ,
ADD `SpeedUploadMax` INT NOT NULL AFTER `SpeedUploadMin` ;

UPDATE `FinanceTariff` SET SpeedDownloadMax = 8192, Price = 750 WHERE Id=4;
UPDATE `FinanceTariff` SET SpeedDownloadMax = 4096, Price = 520 WHERE Id=3;
UPDATE `FinanceTariff` SET SpeedDownloadMax = 2048, Price = 360 WHERE Id=2;
UPDATE `FinanceTariff` SET SpeedDownloadMax = 1024, Price = 260 WHERE Id=1;
UPDATE `FinanceTariff` SET SpeedDownloadMax = 512, Price = 190 WHERE Id=0;
UPDATE `FinanceTariff` SET Name = "Zdarma" WHERE Id=6;

UPDATE `FinanceTariff` SET SpeedUploadMax = SpeedDownloadMax;
UPDATE `FinanceTariff` SET SpeedUploadMin = SpeedDownloadMin;

ALTER TABLE `FinanceTariff` DROP `SpeedFactor` ;
ALTER TABLE `FinanceTariff` DROP `PriceUnits` ;

ALTER TABLE `FinanceTariff` CHANGE `Id` `Tariff` INT( 11 ) NOT NULL DEFAULT '0';

LTER TABLE `FinanceTariff` ADD `Id` INT NOT NULL AUTO_INCREMENT FIRST ,
ADD PRIMARY KEY ( `Id` );

ALTER TABLE `FinanceTariff` ADD `MemberCount` INT NOT NULL DEFAULT '0';

ALTER TABLE `FinanceTariff` DROP `SpeedUploadMin` ,
DROP `SpeedUploadMax` ;

ALTER TABLE `FinanceTariff` CHANGE `SpeedDownloadMin` `SpeedMin` INT( 11 ) NOT NULL DEFAULT '0',
CHANGE `SpeedDownloadMax` `SpeedMax` INT( 11 ) NOT NULL DEFAULT '0';

ALTER TABLE `FinanceTariff` ADD `UploadAsymmetry` INT NOT NULL DEFAULT '1' AFTER `SpeedMax` ; 
